TileDirectory (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class TileDirectory

    java.lang.Object
      com.bbn.openmap.layer.vpf.TileDirectory

    public class TileDirectory

extends java.lang.Object

This class maps latitudes and longitudes to a particular tile directory.

Constructor Summary
`TileDirectory()` Construct an untiled TileDirectory.
`TileDirectory(java.lang.String path, int tileID, float n, float s, float e, float w)` Construct a TileDirectory with a path and boundaries.

Method Summary
`java.lang.String` | `getPath()` Return the path for this tile
`int` | `getTileID()` Return the tile identifier for this tile
`boolean` | `inRegion(float n, float s, float e, float w)` Figure out if our region overlaps the passed in region
`java.lang.String` | `toString()` Return a string describing ourselves

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TileDirectory

    public TileDirectory(java.lang.String path,
                         int tileID,
                         float n,
                         float s,
                         float e,
                         float w)

  Construct a TileDirectory with a path and boundaries.

  Parameters:
    `path` - the directory path
    `n` - the northern boundary
    `s` - the southern boundary
    `e` - the eastern boundary
    `w` - the western boundary
    `tileID` - our tile identifier

### TileDirectory

    public TileDirectory()

  Construct an untiled TileDirectory. Since this object does not have valid boundaries, it is an error to call inRegion on it

  See Also:
    `inRegion(float, float, float, float)`

Method Detail

### getPath

    public java.lang.String getPath()

  Return the path for this tile

  Returns:
    a string path

### getTileID

    public int getTileID()

  Return the tile identifier for this tile

  Returns:
    the tile id (-1 for untiled coverage)

### toString

    public java.lang.String toString()

  Return a string describing ourselves

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string usable as a directory path component

### inRegion

    public boolean inRegion(float n,
                            float s,
                            float e,
                            float w)

  Figure out if our region overlaps the passed in region

  Parameters:
    `n` - the northern boundary
    `s` - the southern boundary
    `e` - the eastern boundary
    `w` - the western boundary
  Returns:
    `true` if the regions overlap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details